.\" -*-nroff-*-
.\"
.\"
.\"     Copyright (C) 1996-2000 Michael R. Elkins <me@cs.hmc.edu>
.\"
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 2 of the License, or
.\"     (at your option) any later version.
.\"
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\"
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program; if not, write to the Free Software
.\"     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
.\"
.\"     {PTM/TW/0.1/30-06-1999/"agent pocztowy uytkownika"}
.\"     Translation (c) 1999 Tomasz Wendlandt <juggler@cp.pl>.
.\" transl.updated: PTM/WK/2000-VI
.TH mutt 1 "luty 2000" Unix "podrcznik uytkownika"
.SH NAZWA
mutt - agent pocztowy uytkownika (MUA)
.SH SKADNIA
.TP 6
.B mutt
.RB [ -hnpRvxyzZ ]
.RB [-a
.IR plik ]
.RB [ -b
.IR adres ]
.RB [ -c
.IR adres ]
.br
.RB [ -e
.IR polecenie ]
.RB [-f
.IR skrzynka ]
.RB [ -F
.IR muttrc ]
.RB [ -H
.IR szkic ]
.br
.RB [ -i
.IR zacznik ]
.RB [ -m
.IR typ ]
.RB [ -s
.IR temat ]
.SH OPIS
.PP
Mutt jest maym, lecz bardzo silnym programem tekstowym, przeznaczonym do
czytania poczty elektronicznej pod systemem operacyjnym unix, posiada takie
funkcje jak kolorowy terminal, MIME i wtkowanie.
.SH OPCJE
.TP
.BI -a " plik"
Zacza plik do twojej wiadomoci uywajc MIME.
.TP
.BI -b " adres"
Okrela odbiorc lepej kopii wiadomoci (BCC).
.TP
.BI -c " adres"
Okrela odbiorc kopii wiadomoci (CC).
.TP
.BI -e " polecenie"
Okrela polecenie konfiguracyjne, ktre ma by wykonane po inicjalizacji.
.TP
.BI -f " skrzynka"
Okrela, ktr skrzynk pocztow wczyta.
.TP
.BI -F " muttrc"
Okrela plik inicjalizacji, ktry ma by uyty zamiast ~/.muttrc
.TP
.BI "-h"
Wywietla pomoc.
.TP
.BI -H " szkic"
Okrela plik ze szkicem zawierajcy nagwek i tre wiadomoci,
ktre bd uyte do wysania wiadomoci.
.TP
.BI -i " zacznik"
Okrela plik do wczenia w tre wiadomoci.
.TP
.BI -m " typ"
Okrela domylny typ skrzynki pocztowej.
.TP
.B -n
Sprawia, i Mutt pomija oglnosystemowy plik konfiguracyjny.
.TP
.B -p
Ponownie otwiera zarzucony list.
.TP
.B -R
Otwiera skrzynk w trybie tylko do odczytu.
.TP
.BI -s " temat"
Okrela temat wiadomoci.
.TP
.B -v
Wywietla wersj Mutt'a i wkompilowane parametry.
.TP
.B -x
Symuluje tryb tworzenia wiadomoci mailx.
.TP
.BI -y
Uruchamia Mutt'a z list wszystkich skrzynek pocztowych okrelonych
poleceniem \fBmailboxes\fP.
.TP
.B -z
Kiedy jest uywane z \fB-f\fP, powoduje i Mutt nie uruchamia si jeeli
w skrzynce nie ma adnych wiadomoci.
.TP
.B -Z
Powoduje, i Mutt otwiera pierwsz zawierajc now wiadomo skrzynk
spord okrelonych przez polecenie \fBmailboxes\fP.
.SH RODOWISKO
.TP
.B EDITOR
Edytor wywoywany podczas komponowania wiadomoci.
.TP
.B HOME
Pena cieka do katalogu domowego uytkownika.
.TP
.B MAIL
Pena cieka do katalogu buforowania skrzynki uytkownika.
.TP
.B MAILCAPS
cieka przeszukiwania dla plikw mailcap.
.TP
.B MM_NOASK
Jeeli ta zmienna jest ustawiona, to mailcap s zawsze uywane uprzedniego
pytania.
.TP
.B PGPPATH
Katalog, w ktrym znajduje si pk kluczy PGP (keyring) uytkownika.
.TP
.B TMPDIR
Katalog, w ktrym tworzone s pliki tymczasowe.
.TP
.B REPLYTO
Standardowy adres, na ktry maj by odsyane odpowiedzi na wysan przez
uytkownika poczt.
.TP
.B VISUAL
Edytor wywoywany kiedy we wbudowanym edytorze podane jest polecenie ~v.
.SH PLIKI
.IP "~/.muttrc"
Plik konfiguracyjny uytkownika.
.IP "/etc/Muttrc"
Oglnosystemowy plik konfiguracyjny.
.IP "/tmp/muttXXXXXX"
Pliki tymczasowe tworzone przez Mutt'a.
.IP "~/.mailcap"
Definicja uytkownika do obsugi nietekstowych typw MIME.
.IP "/etc/mailcap"
Definicja systemu do obsugi nietekstowych typw MIME.
.IP "~/.mime.types"
Osobiste mapowanie uytkownika pomidzy typem MIME i rozszerzeniami pliku.
.IP "/etc/mime.types"
Mapowanie systemowe pomidzy typem MIME i rozszerzeniami pliku.
.IP "/usr/local/bin/mutt_dotlock"
Uprzywilejowany program do dotlockingu.
.SH BDY
Zawieszenie/wznawianie pracy podczas edytowania pliku za pomoc edytora
zewntrznego nie dziaa pod SunOS 4.x, jeeli uywasz bibliotek curses
w /usr/5lib. Jednake \fIdziaa\fP to z bibliotekami S-Lang.
.PP
Zmiana wielkoci ekranu podczas korzystania z zewntrznego pagera powoduje,
i Mutt fiksuje na niektrych systemach.
.PP
Zawieszenie/wznawianie nie dziaa pod Ultrix.
.PP
Linia help dla menu nie jest uaktualniana, jeeli zmienisz powizania dla
jednej z pokazanych w niej funkcji podczas pracy z Muttem.
.SH BRAK GWARANCJI
Niniejszy program rozpowszechniany jest z nadziej, i bdzie on uyteczny
\-\- jednak BEZ JAKIEJKOLWIEK GWARANCJI, nawet domylnej gwarancji
PRZYDATNOCI HANDLOWEJ albo PRZYDATNOCI DO OKRELONYCH ZASTOSOWA.
W celu uzyskania bliszych informacji - Powszechna Licencja Publiczna GNU.
.SH ZOBACZ TAKE
.BR muttrc (5),
.BR curses (3),
.BR mutt_dotlock (1),
.BR ncurses (3),
.BR sendmail (1),
.BR smail (1),
.BR mailcap (5)
.PP
Strona domowa Mutt'a: http://www.mutt.org/
.PP
Powszechna Licencja Publiczna GNU (The GNU General Public License).
.SH AUTOR
Michael Elkins i inni. Skorzystaj z <mutt-dev@mutt.org> by skontaktowa
si z twrcami.
