# $Revision: 1.242 $, $Date: 2011/09/01 17:03:45 $
#
# TODO:
# - finish -folder_columns.patch
#
# Conditional build:
%bcond_with	slang		# use slang library instead of ncurses
%bcond_with	nntp		# use VVV's NNTP patch
%bcond_with	folder_column	# build with folder_column patch
%bcond_with	imap_recent	# show IMAP RECENT messages as new (instead of UNSEEN)
%bcond_without	sasl		# don't use sasl
%bcond_without	home_etc	# don't use home_etc
#
Summary:	The Mutt Mail User Agent
Summary(de.UTF-8):	Der Mutt Mail-User-Agent
Summary(es.UTF-8):	Mutt, cliente de correo electrónico
Summary(fr.UTF-8):	Agent courrier Mutt
Summary(ko.UTF-8):	텍스트 기반의 MUA
Summary(pl.UTF-8):	Program pocztowy Mutt
Summary(pt_BR.UTF-8):	Mutt, cliente de correio eletrônico
Summary(ru.UTF-8):	Почтовая клиентская программа Mutt
Summary(tr.UTF-8):	Mutt elektronik posta programı
Summary(uk.UTF-8):	Поштова клієнтська програма Mutt
Name:		mutt
Version:	1.5.21
Release:	8
Epoch:		6
License:	GPL v2+
Group:		Applications/Mail
Source0:	ftp://ftp.mutt.org/mutt/devel/%{name}-%{version}.tar.gz
# Source0-md5:	a29db8f1d51e2f10c070bf88e8a553fd
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}.1.pl
Patch0:		%{name}-pl.po-update.patch
Patch1:		%{name}-forcedotlock.patch
# http://mutt.org.ua/download/
Patch2:		%{name}-rr.compressed.patch
Patch3:		%{name}-bj.status-time.patch
# http://mutt.org.ua/download/
Patch4:		%{name}-vvv.quote.patch
Patch5:		%{name}-null_name.patch
Patch6:		%{name}-cd.trash_folder.patch
Patch7:		%{name}-cd.purge_message.patch
Patch8:		%{name}-cd.signatures_menu.patch
# http://www.mutt.ca/patches/ (dw.crypt-autoselectkey)
Patch9:		%{name}-crypt-autoselectkey.patch
Patch10:	%{name}-manual.patch
Patch11:	%{name}-xface.patch
Patch12:	%{name}-Muttrc_mbox_path.patch
Patch13:	%{name}-po.patch
# http://mutt.org.ua/download/
Patch14:	%{name}-vvv.nntp.patch
Patch15:	%{name}-home_etc.patch
Patch16:	%{name}-Muttrc.patch
Patch17:	%{name}-muttbug-tmp.patch
Patch18:	%{name}-folder_columns.patch
Patch19:	%{name}-imap_recent.patch
Patch20:	%{name}-Muttrc.head.patch
Patch21:	%{name}-smime.rc.patch
Patch22:	%{name}-ac.patch
Patch23:	%{name}-sidebar.patch
Patch24:	%{name}-imap_fast_trash.patch
URL:		http://www.mutt.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_sasl:BuildRequires:	cyrus-sasl-devel >= 2.1.0}
BuildRequires:	db-devel >= 4.0
BuildRequires:	db4.7-devel
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gdbm-devel
BuildRequires:	gettext-devel
BuildRequires:	gpgme-devel >= 1:1.1.0
%{?with_home_etc:BuildRequires:	home-etc-devel >= 1.0.8}
BuildRequires:	libidn-devel
BuildRequires:	libxslt-progs
BuildRequires:	lynx
%{!?with_slang:BuildRequires:	ncurses-devel >= 5.0}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qdbm-devel
%{?with_slang:BuildRequires:	slang-devel}
BuildRequires:	tokyocabinet-devel
Requires:	iconv
Suggests:	mailcap
%{?with_home_etc:Conflicts:	home-etc < 1.0.8}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
Mutt is a small but very poweful full-screen Unix mail client.
Features include MIME support, color, POP3 support, message threading,
bindable keys, and threaded sorting mode.

%description -l de.UTF-8
Mutt ist ein kleiner aber leistungsfähiger Vollbild-Mail-Client für
Unix mit MIME-Unterstützung, Farbe, POP3-Unterstützung,
Nachrichten-Threading, zuweisbaren Tasten und Sortieren nach Threads.

%description -l es.UTF-8
Mutt es un pequeño, pero muy potente cliente de correo en pantalla
llena. Incluye soporte a tipos MINE, color, POP3; encadenamiento de
mensajes, teclas configurables y clasificaciones por encadenamiento.

%description -l fr.UTF-8
mutt est un client courrier Unix plein écran, petit mais très
puissant. Il dispose de la gestion MIME, des couleurs, de la gestion
POP, des fils de discussion, des touches liées et d'un mode de tri sur
les fils.

%description -l ko.UTF-8
Mutt는 작지만 매우 강력한 텍스트 기반의 메일 클라이언트이다. Mutt는 많은 설정이 가능하다. 그리고, 키바인딩, 키보드
메크로, 메일 스레딩과 같은 진보된 형태와 정규표현식 검색, 메일에서 선택된 그룹의 내용에서 강력하게 일정한 패턴을 찾아내는
것을 지원함으로써 메일의 파워 유저에게 가장 적합하다.

%description -l pl.UTF-8
Mutt jest niewielkim programem pocztowym dla terminali tekstowych,
posiadającym duże możliwości. Obsługuje MIME, POP3, cztery formaty
skrzynek pocztowych, kolory, wątki, ocenę ważności listów (scoring)
oraz skompresowane foldery.

%description -l pt_BR.UTF-8
O Mutt é um pequeno mas muito poderoso cliente de correio em tela
cheia. Inclui suporte a tipos MIME, cor, POP3, encadeamento de
mensagens, teclas configuráveis e classificação por encadeamento.

%description -l ru.UTF-8
Mutt - это небольшой, но мощный полноэкранный почтовый клиент.
Включает поддержку MIME, цвет, поддержку POP3 и IMAP, группировку
сообщений по цепочкам, переопределяемые клавиши, поддержку pgp/gpg и
сортировку сообщений в цепочках. Включает также (пока что
экспериментальную) поддержку NNTP.

%description -l tr.UTF-8
Mutt, küçük ama çok güçlü bir tam-ekran Unix mektup istemcisidir. MIME
desteği, renk ve POP3 desteği içerir.

%description -l uk.UTF-8
Mutt - це невеликий, але потужний повноекранний поштовий клієнт.
Містить підтримку MIME, колір, підтримку POP3 та IMAP, групування
повідомлень по ланцюжкам, перевизначення клавіш, підтримку pgp/gpg та
сортування повідомлень у ланцюжках. Містить також (поки що
експериментальну) підтримку NNTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%{?with_nntp:%patch14 -p1}
%{?with_home_etc:%patch15 -p1}
%patch16 -p1
%patch17 -p1
# breaks display if arrow_cursor is set
%{?with_folder_column:%patch18 -p1}
%{?with_imap_recent:%patch19 -p1}
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1

# force regeneration (manual.sgml is modified by some patches)
rm -f doc/{manual*.html,manual.txt}

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	mutt_cv_groupwrite=yes \
	mutt_cv_worldwrite=no \
	%{!?debug:--disable-debug} %{?debug:--enable-debug} \
	--disable-warnings \
	--enable-compressed \
	--enable-external-dotlock \
	--enable-gpgme \
	--enable-hcache \
	--enable-imap \
	--enable-mailtool \
	%{?with_nntp:--enable-nntp} \
	--enable-pop \
	--enable-smtp \
	--with-bdb=/usr \
	--without-gdbm \
	%{!?with_slang:--with-curses} \
	--with-docdir=%{_docdir}/%{name} \
	%{?with_home_etc:--with-home-etc} \
	--with-mailpath=/var/mail \
	--with-mixmaster \
	--with-regex \
	%{?with_sasl:--with-sasl} \
	%{?with_slang:--with-slang} \
	--with-ssl

%{__make} -j1 -C doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_mandir}/pl/man1} \
	$RPM_BUILD_ROOT%{_sysconfdir}/Muttrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	DOTLOCK_GROUP=

%{__patch} -p2 -d $RPM_BUILD_ROOT%{_sysconfdir} < %{PATCH16}

install contrib/gpg.rc $RPM_BUILD_ROOT%{_sysconfdir}/Muttrc.d
install contrib/smime.rc $RPM_BUILD_ROOT%{_sysconfdir}/Muttrc.d
install contrib/colors.linux $RPM_BUILD_ROOT%{_sysconfdir}/Muttrc.d/colors.rc

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/pl/man1

cat <<'EOF' >$RPM_BUILD_ROOT%{_bindir}/mutt_source-muttrc.d
#!/bin/sh -e
for rc in %{_sysconfdir}/Muttrc.d/*.rc; do
	[ ! -r "$rc" ] || echo "source \"$rc\""
done
EOF

# keep manual.txt.gz, the rest is installed as %doc
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/[!m]*

# conflict with qmail
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/mbox.5*

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/mime.types

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc contrib/{*rc*,*cap*} ChangeLog README TODO NEWS README.SECURITY README.SSL README.xface
%dir %{_sysconfdir}/Muttrc.d
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/Muttrc
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/Muttrc.d/*.rc
%attr(755,root,root) %{_bindir}/mutt
%attr(755,root,root) %{_bindir}/mutt_source-muttrc.d
%attr(755,root,root) %{_bindir}/flea
%attr(755,root,root) %{_bindir}/muttbug
%attr(755,root,root) %{_bindir}/pgp*
%attr(755,root,root) %{_bindir}/smime_keys
%attr(2755,root,mail) %{_bindir}/mutt_dotlock

%{_docdir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/mutt.png
%{_mandir}/man*/*
%lang(pl) %{_mandir}/pl/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mutt.spec,v $
Revision 1.242  2011/09/01 17:03:45  arekm
- release 8

Revision 1.241  2011/08/31 18:27:15  arekm
- release 7

Revision 1.240  2011/07/29 12:38:23  evil
- bump up rel again (for new src.rpm for stbr test-build :/

Revision 1.239  2011/07/29 12:20:42  evil
- BR: {db4.7,gdbm,qdbm,tokyocabinet}-devel (one of them is needed for hcache, BR 'em all for more predictible build [for now none of them was BR])

Revision 1.238  2011/07/29 12:07:21  evil
- adapterized
- 'R:home-etc>=1.0.8' -> 'C:home-etc<1.0.8' for bcond with_home_etc (because such mutt works well also w/o home-etc, and 'what-requires home-etc' shows its the only package in Th that got such dependency)
- bump up rel

Revision 1.237  2011/06/14 13:21:28  zbyniu
- don't open mailboxes infinite times; rel 4

Revision 1.236  2011/03/09 20:18:25  baggins
- rel 3
- use IMAP 'UID COPY' instead of fetch+upload to move messages to trash

Revision 1.235  2011/03/09 13:30:45  baggins
- rel 2
- added sidebar patch (http://lunar-linux.org/index.php?page=mutt-sidebar)
- fixed trash and purge patches

Revision 1.234  2010/10/22 14:28:13  pawelz
- do not gzip manual.txt. It breaks internal docs preview.

Revision 1.233  2010/10/06 18:28:52  baggins
- rel 1

Revision 1.232  2010/10/06 18:22:39  baggins
- as-needed tinfo

Revision 1.231  2010/10/06 17:59:14  baggins
- more 1.5.21 updates

Revision 1.230  2010/10/06 17:52:50  baggins
- 1.5.21

Revision 1.229  2010/09/11 09:58:25  gotar
- fixed From_ line folding, rel. 2

Revision 1.228  2010/04/11 20:22:28  pawelz
- rel 1

Revision 1.227  2010/04/11 20:18:57  pawelz
- fix patch number

Revision 1.226  2010/04/11 19:53:40  pawelz
- merged DEVEL (openssl.patch)

Revision 1.222.2.3  2010/04/11 18:09:37  arekm
- openssl 1.0.0 build fix

Revision 1.225  2010/04/11 18:03:23  pawelz
- merged DEVEL
- that means: up to 1.5.20, dropped pgp_hook patch

Revision 1.224  2010/04/11 06:28:10  arekm
- release 3

Revision 1.222.2.2  2010/04/11 17:42:03  pawelz
- dropped pgp_hook patch. Nobody has been interested in porting this patch to
  mutt 1.5.20 for more than 8 months (including its author) so I assume nobody
  cares.

Revision 1.223  2009/07/25 14:38:37  pawelz
- just a comment about 1.5.20

Revision 1.222.2.1  2009/07/14 12:31:14  pawelz
- up to 1.5.20
- commented out pgp_hook patch (see TODO)
- dropped imap_mxcmp patch (no longer needed)
- pl.po-updated needs some more work
- updated bj.status-time and rr.compressed patches

Revision 1.222  2009/04/13 21:30:47  glen
- fixed it other ways
- and set -e makes first false condition to exit, fix that too

Revision 1.221  2009/04/13 20:12:26  baggins
- rel 2
- fixed mutt_source-muttrc.d script

Revision 1.220  2009/04/13 18:28:30  baggins
- rel 1
- cd.signatures_menu.patch updated

Revision 1.219  2009/04/13 17:56:40  baggins
- bring some sanity and usability to configuration
- added /etc/Muttrc.d dir support

Revision 1.218  2009/03/01 00:36:45  adamg
- updated to 1.5.19 (partially done)

Revision 1.217  2009/02/18 20:10:49  arekm
- release 2

Revision 1.216  2008/07/25 16:41:48  qboosh
- GPL v2+

Revision 1.215  2008/07/25 16:41:28  qboosh
- updated to 1.5.18
- updated pl.po-update,rr.compressed,bj.status-time,manual,send_charset
  Muttrc_mbox_path,vvv.nntp,Muttrc patches

Revision 1.214  2008/06/07 08:35:13  gotar
- S: mailcap

Revision 1.213  2007-11-13 15:29:05  jajcus
- Release: 2
- patch fixing new message count for Courier-IMAP folders (http://dev.mutt.org/trac/ticket/2897)
- optional patch to use 'RECENT' instead of 'UNSEEN' as new message counter for IMAP folders (imap_recent bcond)

Revision 1.212  2007-11-02 13:43:29  adamg
- updated to 1.5.17
- update pl.pl-update, rr.compress patches
- make -j1 doc before building the sources (breaks on parallel build)

Revision 1.211  2007/09/09 23:58:39  adamg
- BR: gpgme-devel >= 1:1.1.0 (gpgme_sig_notation_add)

Revision 1.210  2007/06/15 17:45:30  qboosh
- updated to 1.5.16
- updated pl.po-update,rr.compresses,vvv.nntp patches

Revision 1.209  2007/06/15 16:49:53  qboosh
- noted some patch sources

Revision 1.208  2007/06/05 05:33:31  qboosh
- CVE references for 1.5.15

Revision 1.207  2007/06/03 17:53:39  qboosh
- ugh, typo

Revision 1.206  2007/06/03 15:50:34  arekm
- rel 2

Revision 1.205  2007/06/03 15:35:11  qboosh
- really --enable-smtp

Revision 1.204  2007/06/03 14:02:56  qboosh
- readded muttbug-tmp patch

Revision 1.203  2007/06/03 13:47:41  qboosh
- updated nntp patch to stop overriding default key bindings
- really use db (not gdbm)

Revision 1.202  2007/06/03 13:19:30  qboosh
- removed outdated esmtp patch+bcond; pass --enable-smtp instead

Revision 1.201  2007/06/03 13:08:12  qboosh
- updated docbook deps (sgml -> xml)

Revision 1.200  2007/06/03 12:43:50  qboosh
- readded pgp_hook (and separated crypt-autoselecthook) patch
- updated vvv.nntp patch

Revision 1.199  2007/06/03 11:37:04  qboosh
- updated pl.po-update patch
- forcedotlock patch is back, now fixing only sgid install
- pass mutt_cv_{group,world}write to stabilize builds not to depend on local
  /var/mail permissions and get proper sgid support
- don't pass --with-homespool as it disables --with-mailpath and sgid support;
  maildir support is still available through $MAILDIR envvar

Revision 1.198  2007/06/02 15:40:02  radek
- release 1: updated home_etc.patch

Revision 1.197  2007/06/02 10:46:35  radek
- version 1.5.15, updated -{rr.compressed,manual}.patch,
  removed -forcedotlock.patch (not needed, /var/mail has g+w)
- release 0.1: home_etc bcond off (patch not updated)
[fixes CVE-2007-1558 CVE-2007-2683]

Revision 1.196  2007/04/25 06:33:16  arekm
- nicer default settings

Revision 1.195  2007/03/26 13:30:38  ankry
- tabs

Revision 1.194  2007/03/26 13:10:38  radek
- merged 1.5.14 from DEVEL

Revision 1.141.2.25  2007/03/26 12:59:17  radek
- version 1.5.14, updated -{rr-compressed,xface}.patch, dropped -pl.po-update.patch (doesn't seem needed)

Revision 1.141.2.24  2007/02/12 13:20:14  baggins
- converted to UTF-8

Revision 1.141.2.23  2006/08/23 20:37:04  qboosh
- updated to 1.5.13, updated pl.po-update,rr.compressed,manual patches

Revision 1.141.2.22  2006/08/17 09:42:38  radek
- BR: docbook-style-xsl libxslt-progs (for manual.txt)

Revision 1.141.2.21  2006/08/04 14:17:12  wrobell
- rel. 1

Revision 1.141.2.20  2006/08/04 13:57:11  wrobell
- ver. 1.5.12
  resolves CVE-2006-3242
- nfy

Revision 1.141.2.19  2006/05/24 13:08:09  jajcus
- BR: db-devel

Revision 1.141.2.18  2006/05/11 23:17:58  siefca
- home_etc patch fixed

Revision 1.186  2006/05/11 23:13:05  siefca
- home_etc patch fixed

Revision 1.141.2.17  2006/04/17 16:33:30  wrobell
- ver. 1.5.11 (there is no international version now)

Revision 1.141.2.16  2005/10/07 11:13:59  wolf
- fixed

Revision 1.141.2.15  2005/10/07 08:04:24  jajcus
- Version: 1.5.10
- edit_threads patch removed, as already applied to original sources
- header caching enabled in ./configure (runtime configuration needed to enable
  this)

Revision 1.141.2.14  2005/03/31 19:28:19  qboosh
- updated esmtp optional patch
- enabled idn and gpgme, sorted configure options

Revision 1.141.2.13  2005/03/31 18:10:29  qboosh
- updated optional nntp patch

Revision 1.141.2.12  2005/03/31 17:17:52  qboosh
- more patch updates; builds at last

Revision 1.141.2.11  2005/03/31 16:30:50  qboosh
- more patches updated; pgp-hook patch is outdated
- merged Muttrc_mbox_path,po patches from HEAD; kill_warnings is obsolete

Revision 1.141.2.10  2005/03/31 14:17:50  qboosh
- devl.narrow_tree functionality already in sources
- updated vvv.quote patch

Revision 1.141.2.9  2005/03/31 14:03:30  qboosh
- updated cd.edit_threads patch

Revision 1.141.2.8  2005/03/31 13:36:56  qboosh
- started 1.5.9
- added pl.po-update patch, updated rr.compressed patch
- removed obsolete muttbug-tmp patch

Revision 1.141.2.7  2005/03/31 12:22:03  qboosh
- sync with HEAD (vfolders, some new patches - commented for now)

Revision 1.141.2.6  2004/04/28 06:50:13  jareq
- 1.5.6 (build without sasl)
- epoch 6 (same as HEAD)
- BR openssl-devel >= 0.9.7d

Revision 1.141.2.5  2003/11/17 17:12:32  jareq
- smtpdaemon is recommended not required by mutt

Revision 1.141.2.4  2003/11/10 21:57:29  areq
- 1.5.5.1, (build without sasl)

Revision 1.141.2.3  2003/07/11 01:34:20  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.141.2.2  2003/03/20 18:16:19  areq
- start DEVEL branch - 1.5.x
- builds --without sasl and works

Revision 1.141.2.1  2003/03/20 18:13:55  areq
- DEVEL

Revision 1.141  2003/03/20 09:04:38  misi3k
- updated to 1.4.1 (fix a buffer overflow in mutt's IMAP client code)

Revision 1.140  2003/03/17 12:15:13  qboosh
- force .html and .txt manual regeneration

Revision 1.139  2003/02/13 17:45:40  juandon
- renumbering patches to allow build with nntp
- Release 5.2

Revision 1.138  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.137  2003/01/28 08:58:09  wrobell
- rel. 5.1 /think about patch17 applying/

Revision 1.136  2003/01/19 23:41:45  wolf
- added x-face patch

Revision 1.135  2003/01/18 12:25:17  radek
- fixed applying of send_charset patch (Muttrc is regenerated by
  "make install")

Revision 1.134  2003/01/13 17:22:16  ggodlewski
- fixed patch18 and 19 numbering

Revision 1.133  2003/01/10 22:46:07  adgor
- gettextize removed

Revision 1.132  2003/01/10 10:10:58  jajcus
- require cyrus-sasl >= 2.1

Revision 1.131  2003/01/09 15:02:23  jajcus
- patch for cyrus-sasl-2.1.x. needs testing
- remove $RPM_BUILD_ROOT/etc/mime.types as it is not included in the package

Revision 1.130  2002/11/22 11:47:46  ggodlewski
- bcond for nntp

Revision 1.129  2002/11/21 11:00:17  wrobell
- finally nntp patch is removed:
  - several nntp patches are available and we should not force users, to
    use specific one
  - the patch changes default mutt functionality and patching the patch is
    bad idea
  - the nntp patch will never be integrated with mutt (current mutt's
    author statement)
  - the patch is huge
  - finally, mutt is not emacs

Revision 1.128  2002/11/18 10:22:17  wrobell
- nntp patch commented out (bcond it or create mutt-nntp package, please)
- rel. 5, stb

Revision 1.127  2002/11/16 13:14:17  ggodlewski
- added VVV's NNTP patch

Revision 1.126  2002/10/09 10:27:57  qboosh
- BR: gettext-devel

Revision 1.125  2002/08/31 11:10:45  radek
- added iso-8859-2 to Muttrc -- friendly for polish users by default
- release 3

Revision 1.124  2002/08/31 09:48:30  radek
- fixed source URL

Revision 1.123  2002/08/02 16:50:58  jareq
- added patch, so gzipped mutt manual could be loaded with 'F1' key
- rel. 2, STBR

Revision 1.122  2002/05/30 08:24:07  ankry
- fixed source filename.

Revision 1.121  2002/05/30 07:37:17  filon
- updated to final 1.4 (yeah!)
- semi-sorted conigure options, cosmetics
- added _with_slang conditional

Revision 1.120  2002/05/23 13:14:20  kondi
- added pgp_autoselectkey, pgp_confirmhook and multiple pgp_hook targets
  for single recipient

Revision 1.119  2002/05/22 17:51:58  mkochano
- Release 2.
- bzip2 examples in config.

Revision 1.118  2002/05/22 08:28:27  kloczek
- use new %doc packing infrastructure.

Revision 1.117  2002/05/22 05:21:38  filon
- updated to 1.3.99
- updated rr.compressed patch
- added LIBOBJ patch for new autoconf to work
- full ac/am regeneration
- removed --with-iconv, it means using libiconv (wrong)
- cosmetics, STBR

Revision 1.116  2002/05/21 23:14:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.115  2002/03/17 15:20:41  kloczek
- merge translations from KSI.

Revision 1.114  2002/03/14 10:19:02  wrobell
- disable tag_prefix_cond patch - this patch changes mutt default behaviour
- rel. 2
- stb

Revision 1.113  2002/03/14 09:39:45  wrobell
- ver. 1.3.28i (bugfix release)
- stb

Revision 1.112  2002/02/23 03:54:22  kloczek
- adapterized.

Revision 1.111  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.110  2002/02/18 11:04:06  wrobell
- gzip text version of manual

Revision 1.109  2002/02/12 21:44:55  kloczek
- adapterized.

Revision 1.108  2002/02/12 20:54:37  filon
- added some useful patches:
> trash folder (and purge_message) - for deleting messages by moving to trash folder
> signatures_menu                  - menu for chosing a signature to add (or choose random)
> folder_columns                   - split folder browser into columns
> tag_prefix_cond                  - applying next action for tagged messages
- all patches from use contrib mutt links
- patch signatures_menu fixed to apply on our mutt
- release 5

Revision 1.107  2002/02/05 08:40:10  qboosh
- fixed rr.compressed patch, release 4

Revision 1.106  2002/02/04 00:10:38  mkochano
- Added null_name patch.
- BuildRequires: sgml-tools (it wants sgml2txt).
- Commented out %patch3 -p1 as it won't apply (it should be resolved
  before new release I think).
- Use %%configure macro.

Revision 1.105  2002/02/02 01:13:23  kloczek
- release 3.

Revision 1.104  2002/02/01 23:17:59  qboosh
- adapted rr.compressed patch to our patched mutt

Revision 1.103  2002/01/25 19:23:01  filon
- no newline after patches

Revision 1.102  2002/01/24 22:38:19  jojoro
Release 2

Revision 1.101  2002/01/24 21:18:23  jojoro
5 new patches added.

Revision 1.100  2002/01/24 02:32:49  gotar
- epoch 5

Revision 1.99  2002/01/23 17:05:02  qboosh
- up to 1.3.27i (bugfix), Epoch=4 again
- re-added muttbug-tmp and (updated) forcedotlock patches

Revision 1.98  2002/01/22 13:18:59  qrczak
- Run autoconf, the original configure is broken (in non-C locales).
- Release 2.

Revision 1.97  2002/01/22 09:15:06  serek
- upgrade to 1.3.26,
- added mixmaster support,
- removed strange patches,
- STBR.

Revision 1.96  2002/01/18 02:13:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.95  2002/01/06 05:06:35  kloczek
- release 2, Epoch: 5 (for allow upgrade from RH).

Revision 1.94  2002/01/02 13:19:38  areq
- 1.3.25, STBR
- These releases both fix a security hole which can be remotely exploited.

Revision 1.93  2001/12/28 17:15:56  gotar
- changes in descriptions.

Revision 1.92  2001/12/02 16:25:31  yascool
- update to version 1.3.24

Revision 1.91  2001/11/14 22:18:17  ankry
- added pl/man1/mutt.1
- still does not build (patchlist.sh missing)

Revision 1.90  2001/11/14 15:45:05  kloczek
- merge translations from CNV,
- spec adapterized.

Revision 1.89  2001/11/13 18:38:32  filon
- updated to 1.3.23.2i

Revision 1.88  2001/10/30 19:21:20  gotar
- configure cleanups.

Revision 1.87  2001/10/24 15:50:22  ankry
- fixed source path in URL

Revision 1.86  2001/10/23 09:53:05  areq
- 1.3.23i
- remove in_reply_to.patch

Revision 1.85  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.84  2001/09/05 16:41:16  filon
- added Manual.txt to doc, mutt wants to read it when pressed F1 key (don't compress int)

Revision 1.83  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.82  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.81  2001/07/02 04:18:31  kloczek
- release 4: merge muttbug-tmp patch from rawhide.

Revision 1.80  2001/06/30 14:05:58  gotar
- added missingok flag for %{_sysconfdir}/Muttrc file,
- added using %{__*} macros.

Revision 1.79  2001/06/30 07:18:01  orzech
- added mutt-home_etc.patch; it works

Revision 1.78  2001/06/19 13:21:04  kloczek
- release 3: added iconv to Requires list.

Revision 1.77  2001/06/07 14:17:51  agaran
added bcond for sasl. no reason for rel++ imho.

Revision 1.76  2001/06/01 12:57:47  misiek
- removed Build/Requires: iconv

Revision 1.75  2001/05/30 12:01:06  zagrodzki
- added --disable/enable debug dependant on %%{debug}
- fixed in-reply-to bug

Revision 1.74  2001/05/09 15:59:56  misiek
- updated to 1.3.18i
- removed enter.c and updated forcedotlock patches

Revision 1.73  2001/05/09 01:48:17  kloczek
- release 3: rebuild against openssl 0.9.6a.

Revision 1.72  2001/05/02 07:30:56  misiek
remove conflicting (with qmail) manual page

Revision 1.71  2001/04/24 19:23:41  wiget
fix problem with ł,ą etc in Subject/To etc; Release 2

Revision 1.70  2001/04/04 21:41:18  kloczek
- reorder call automake in %build.

Revision 1.69  2001/04/04 21:36:05  misiek
always compile with dotlocking enabled

Revision 1.68  2001/04/04 21:16:35  misiek
2754 -> 2755 on mutt_dotlock

Revision 1.67  2001/04/04 21:12:09  misiek
1.3.17i

Revision 1.66  2001/03/12 22:35:19  kloczek
- release 6.

Revision 1.65  2001/03/11 07:18:17  qboosh
- automake fixes

Revision 1.64  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.63  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.62  2000/12/14 21:36:44  kloczek
- release 5, Epoch 4 (for allow upgrade from RH 7),
- added new menu icon for mutt and fixed desktop file,
- merged RH patches: nosetgid (now mutt isnt't set git mail), md5 and imap.

Revision 1.61  2000/12/14 20:54:59  wrobell
- typo; locales fixing works now, so release up

Revision 1.60  2000/10/04 17:32:10  misiek
enable external dotlock with sgid mail (I just want to delete
mails from spool sometime)

Revision 1.59  2000/10/02 14:47:22  kloczek
- release 2: use new rpm automation suit also now spec %%{debug} ready.

Revision 1.58  2000/09/26 16:24:16  kloczek
- adapterized, few cosmetics and cut %changelog.

Revision 1.57  2000/09/26 11:27:12  mis
- updated to 1.2.5

Revision 1.56  2000/07/14 09:16:35  mis
- updated to 1.2.4i

Revision 1.55  2000/07/13 23:16:28  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.54  2000/06/27 12:44:53  wiget
- Version:	1.2.2i
- added mutt-pl.po.patch (fix stupid transtation bug)

Revision 1.53  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.52  2000/06/08 22:37:27  kloczek
- release 3 and Serial 2 (for allow upgrade fon RH 6.2 version).

Revision 1.51  2000/06/01 11:40:23  michuz
- release 2
- %%{_applnkdir} changed

Revision 1.50  2000/05/18 19:31:41  bonkey
- fixed paths in short descriptions for patches

Revision 1.49  2000/05/18 19:05:54  bonkey
- compressed patch upgraded to 1.2

Revision 1.48  2000/05/18 18:30:52  kloczek
- spec adapterized.

Revision 1.47  2000/05/18 18:18:40  wiget
- 1.2
- chcange source URL

Revision 1.46  2000/04/23 07:47:27  kura
- release 4
- added misssing examples

Revision 1.45  2000/04/16 12:00:01  mkochano
- blank-line.patch replaced by configurable blank-lines.patch.

Revision 1.44  2000/04/14 15:41:50  wiget
added dot.lock patch

Revision 1.43  2000/04/11 10:46:39  kloczek
- spec adapterized,
- added using %%{_applnkdir} macro.

Revision 1.42  2000/04/11 10:29:37  bonkey
- Version:	1.1.11i
- Release:	2
- small doc to patches
- Requires:	openssl
- BuildRequires:	openssl-devel
- configure with: --with-charmaps --with-homespool=Mailbox
